org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

## Class MergeViewerItemProviderConfiguration

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider.MergeViewerItemProviderConfiguration

All Implemented Interfaces:
  IMergeViewerItemProviderConfiguration

    public class MergeViewerItemProviderConfiguration
    extends Object
    implements IMergeViewerItemProviderConfiguration

Default implementation of `IMergeViewerItemProviderConfiguration`.

### Constructor Summary

Constructors
Constructor and Description
`MergeViewerItemProviderConfiguration(AdapterFactory adapterFactory, IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate, Comparison comparison, IMergeViewer.MergeViewerSide side)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`AdapterFactory` `getAdapterFactory()` Get the `AdapterFactory`.
`Comparison` `getComparison()` Get the `Comparison`.
`com.google.common.base.Predicate<? super EObject>` `getDifferenceFilterPredicate()` Get the difference filter `Predicate`.
`IDifferenceGroupProvider` `getDifferenceGroupProvider()` Get the `IDifferenceGroupProvider`.
`IMergeViewer.MergeViewerSide` `getSide()` Get the `IMergeViewer.MergeViewerSide`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeViewerItemProviderConfiguration

    public MergeViewerItemProviderConfiguration(AdapterFactory adapterFactory,
                                                IDifferenceGroupProvider groupProvider,
                                                com.google.common.base.Predicate<? super EObject> predicate,
                                                Comparison comparison,
                                                IMergeViewer.MergeViewerSide side)

Constructor.

Parameters:
  `adapterFactory` - the `AdapterFactory`.
  `groupProvider` - the `IDifferenceGroupProvider`.
  `predicate` - the `Predicate`.
  `comparison` - the `Comparison`.

### Method Detail

#### getAdapterFactory

    public AdapterFactory getAdapterFactory()

Get the `AdapterFactory`.

Specified by:
  `getAdapterFactory` in interface `IMergeViewerItemProviderConfiguration`
Returns:
  the `AdapterFactory`,

#### getDifferenceGroupProvider

    public IDifferenceGroupProvider getDifferenceGroupProvider()

Get the `IDifferenceGroupProvider`.

Specified by:
  `getDifferenceGroupProvider` in interface `IMergeViewerItemProviderConfiguration`
Returns:
  the `IDifferenceGroupProvider`.

#### getDifferenceFilterPredicate

    public com.google.common.base.Predicate<? super EObject> getDifferenceFilterPredicate()

Get the difference filter `Predicate`.

Specified by:
  `getDifferenceFilterPredicate` in interface `IMergeViewerItemProviderConfiguration`
Returns:
  the difference filter `Predicate`.

#### getComparison

    public Comparison getComparison()

Get the `Comparison`.

Specified by:
  `getComparison` in interface `IMergeViewerItemProviderConfiguration`
Returns:
  the `Comparison`.

#### getSide

    public IMergeViewer.MergeViewerSide getSide()

Get the `IMergeViewer.MergeViewerSide`.

Specified by:
  `getSide` in interface `IMergeViewerItemProviderConfiguration`
Returns:
  the `IMergeViewer.MergeViewerSide`.